/info
Returns information about invoices previously created using the /create or /create-payment endpoints.
Returns detailed invoice information, including status, amounts, and payment data.
HTTP Request
Section titled “HTTP Request”- Method:
POST - URL:
https://api.cru.cash/v1/invoice/info - Headers:
Authorization: Bearer YOUR_API_KEY_HERE
Request Fields
Section titled “Request Fields”| Field | JSON Name | Type | Required | Description / Validation |
|---|---|---|---|---|
| Invoice ID* | invoice_id | string | true | Unique invoice ID generated by the platform when the invoice is created. Must reference an existing invoice. |
Response Fields
Section titled “Response Fields”| Field | JSON Name | Type | Description |
|---|---|---|---|
| Invoice ID | id | string | Unique invoice ID generated by the platform. |
| Fiat Amount | fiat_amount | string | Invoice amount in fiat currency specified at creation. |
| Fiat Currency | fiat_currency | string | Fiat currency code (ISO), e.g. USD, EUR, `RUB. |
| Crypto Amount | crypto_amount | string | Amount in cryptocurrency to be paid by the customer. If the customer hasn’t selected a crypto and network yet, this value will be "0". |
| Network fee | network_fee | string | Network fee, shown in crypto. Cru Cash does not charge a service fee. |
| Cryptoсurrency | crypto | string | Cryptocurrency selected by the customer. If not yet selected, this value will be "NONE". |
| Network | network | string | Network selected by the customer. If not yet selected, this value will be "NONE". |
| Payment Status | pay_status | string | Payment status (end, paid, not_paid). |
| Processing Status | processing_status | string | Status of funds settlement. processing means the payment is in hold and will soon arrive in the merchant’s account. processed means the funds are already credited to the merchant. |
| Is Paid | is_paid | boolean | Indicates whether the invoice has been successfully paid. |
| Created At | created_at | string (ISO 8601) | Timestamp when the invoice was created, in UTC (formatted as ISO 8601, e.g., 2026-02-05T18:29:31Z). |
| Testing Mode | is_testing | boolean | Indicates whether the invoice was created in test mode. |
| Payload | payload | string | Optional merchant-defined metadata passed at invoice creation and returned unchanged. |
Request & Responses Body Examples
Section titled “Request & Responses Body Examples”| Header | Value | Description |
|---|---|---|
| Authorization | Bearer YOUR_API_KEY_HERE | Your API key for authentication |
Request #1
Section titled “Request #1”{"invoice_id": "8be67d29-69aa-4ff9-8157-c5e5b4a53d5c"}Response #1
Section titled “Response #1”{"id": "8be67d29-69aa-4ff9-8157-c5e5b4a53d5c","fiat_amount": "100","fiat_currency": "USD","crypto_amount": "0","network_fee": "0","crypto": "NONE","network": "NONE","pay_status": "not_paid","processing_status": "pending","is_paid": false,"created_at": "2026-02-05T00:06:59Z","is_testing": false,"payload": ""}Request #2
Section titled “Request #2”{"invoice_id": "3d3ca8ab-905a-4def-9c0c-b868decf8f70"}Response #2
Section titled “Response #2”{"id": "3d3ca8ab-905a-4def-9c0c-b868decf8f70","fiat_amount": "30","fiat_currency": "USD","crypto_amount": "31.4","network_fee": "1.4","crypto": "USDT","network": "TRC20","pay_status": "paid","processing_status": "processed","is_paid": true,"created_at": "2026-02-05T00:10:59Z","is_testing": false,"payload": ""}